Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.addressing
Interface AddressingConstants.Submission

Enclosing interface:
  AddressingConstants

    public static interface AddressingConstants.Submission

Field Summary
`static String` | `EPR_REFERENCE_PROPERTIES`
`static String` | `FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON`
`static String` | `FAULT_ADDRESSING_HEADER_REQUIRED`
`static String` | `FAULT_ADDRESSING_HEADER_REQUIRED_REASON`
`static String` | `FAULT_INVALID_HEADER`
`static String` | `FAULT_INVALID_HEADER_REASON`
`static QName` | `QNAME_WSA_FROM`
`static QName` | `QNAME_WSA_MESSAGE_ID`
`static QName` | `QNAME_WSA_RELATES_TO`
`static QName` | `QNAME_WSA_REPLY_TO`
`static QName` | `QNAME_WSA_TO`
`static String` | `WSA_ANONYMOUS_URL`
`static String` | `WSA_DEFAULT_RELATIONSHIP_TYPE`
`static String` | `WSA_FAULT_ACTION`
`static String` | `WSA_INTERFACE_NAME`
`static String` | `WSA_NAMESPACE`
`static String` | `WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE` Deprecated. use `WSA_DEFAULT_RELATIONSHIP_TYPE` instead.
`static String` | `WSA_SERVICE_NAME_ENDPOINT_NAME`
`static QName` | `WSAW_USING_ADDRESSING`

Field Detail

### WSA_NAMESPACE

    static final String WSA_NAMESPACE

See Also:
  Constant Field Values

### WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE

    static final String WSA_RELATES_TO_RELATIONSHIP_TYPE_DEFAULT_VALUE

  Deprecated. use `WSA_DEFAULT_RELATIONSHIP_TYPE` instead.
  See Also:
    Constant Field Values

### WSA_DEFAULT_RELATIONSHIP_TYPE

    static final String WSA_DEFAULT_RELATIONSHIP_TYPE

See Also:
  Constant Field Values

### WSA_ANONYMOUS_URL

    static final String WSA_ANONYMOUS_URL

See Also:
  Constant Field Values

### EPR_REFERENCE_PROPERTIES

    static final String EPR_REFERENCE_PROPERTIES

See Also:
  Constant Field Values

### WSA_FAULT_ACTION

    static final String WSA_FAULT_ACTION

See Also:
  Constant Field Values

### WSA_SERVICE_NAME_ENDPOINT_NAME

    static final String WSA_SERVICE_NAME_ENDPOINT_NAME

See Also:
  Constant Field Values

### WSA_INTERFACE_NAME

    static final String WSA_INTERFACE_NAME

See Also:
  Constant Field Values

### FAULT_INVALID_HEADER

    static final String FAULT_INVALID_HEADER

See Also:
  Constant Field Values

### FAULT_INVALID_HEADER_REASON

    static final String FAULT_INVALID_HEADER_REASON

See Also:
  Constant Field Values

### FAULT_ADDRESSING_HEADER_REQUIRED

    static final String FAULT_ADDRESSING_HEADER_REQUIRED

See Also:
  Constant Field Values

### FAULT_ADDRESSING_HEADER_REQUIRED_REASON

    static final String FAULT_ADDRESSING_HEADER_REQUIRED_REASON

See Also:
  Constant Field Values

### FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON

    static final String FAULT_ADDRESSING_DESTINATION_UNREACHABLE_REASON

See Also:
  Constant Field Values

### WSAW_USING_ADDRESSING

    static final QName WSAW_USING_ADDRESSING

### QNAME_WSA_TO

    static final QName QNAME_WSA_TO

### QNAME_WSA_FROM

    static final QName QNAME_WSA_FROM

### QNAME_WSA_REPLY_TO

    static final QName QNAME_WSA_REPLY_TO

### QNAME_WSA_RELATES_TO

    static final QName QNAME_WSA_RELATES_TO

### QNAME_WSA_MESSAGE_ID

    static final QName QNAME_WSA_MESSAGE_ID

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.